- Qt 6.7
- Qt Quick
- C++ Classes
- QSGRectangleNode
- Qt 6.7.1 Reference Documentation

# QSGRectangleNode Class

The QSGRectangleNode class is a convenience class for drawing solid filled rectangles using scenegraph. More...

Header: | #include <QSGRectangleNode>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Quick) target_link_libraries(mytarget PRIVATE Qt6::Quick)
qmake: | QT += quick
Inherits: | QSGGeometryNode

- List of all members, including inherited members

## Public Functions

virtual QColor | color() const = 0
virtual QRectF | rect() const = 0
virtual void | setColor(const QColor &color) = 0
virtual void | setRect(const QRectF &rect) = 0
void | setRect(qreal x, qreal y, qreal w, qreal h)

## Detailed Description

## Member Function Documentation

### `[pure virtual]` QColor QSGRectangleNode::color() const

Returns the color of this rectangle.

See also setColor().

### `[pure virtual]` QRectF QSGRectangleNode::rect() const

Returns the rectangle that this rect node covers.

See also setRect().

### `[pure virtual]` void QSGRectangleNode::setColor(const QColor &color)

Sets the color of this rectangle to color. The default color will be white.

See also color().

### `[pure virtual]` void QSGRectangleNode::setRect(const QRectF &rect)

Sets the rectangle of this rect node to rect.

See also rect().

### void QSGRectangleNode::setRect(qreal x, qreal y, qreal w, qreal h)

This is an overloaded function.

Sets the rectangle of this rect node to begin at (x, y) and have width w and height h.